<template>
  <div>
    <nav-bar></nav-bar>
    <div class="info-section">
      <h2 class="section-title">What is Better With Mods?</h2>
      <p class="section-text">Better With Mods(BWM) is a mod based around extending and enhancing vanilla Minecraft. BWM focuses on improving the core aspects of Minecraft through its three core modules. First&nbsp;is the Gameplay module which directly extends the gameplay of Minecraft through additional blocks, items, foods, and more. Next is the Tweak module which adds small quality of life and balance changes. Finally is the Hardcore module which directly changes the core balance of Minecraft. Together these three modules massively overhaul the vanilla experience.</p>
      <p class="section-text" id="btw-disclaimer"><em>BetterWithMods is largely inspired by BetterThanWolves by FlowerChild. While the core ideas may be the same, many things are different between the two mods.&nbsp;</em></p>
      <h2 class="section-title">Configuration</h2>
      <p class="section-text">With the same philosophy found in mods such as Quark, Better With Mods is extremely configurable. Every recipe, tweak, hardcore mechanic, etc. is configurable. Better With Mods puts the control over gameplay in you, the player's hands, instead of being forced into a specific playstyle. Both the Tweak and Hardcore modules can be enabled or disabled through the config while the Gameplay module is configurable through Modtweaker compatibility.</p>
      <h2 class="section-title">Module: Gameplay</h2>
      <p class="section-text">The gameplay module is the base module of BWM. It provides all the core blocks, items, and foods used throughout the mod. For a brief overview of the content included watch the following series by Mischief of Mice:</p>
      <div id="videos">
        <iframe class="youtube" allowfullscreen="allowfullscreen" src="https://www.youtube.com/embed/sXPoIk1sDeM?wmode=transparent"></iframe>
        <iframe class="youtube" allowfullscreen="allowfullscreen" src="https://www.youtube.com/embed/Ato5fARgdl4?wmode=transparent"></iframe>
        <iframe class="youtube" allowfullscreen="allowfullscreen" src="https://www.youtube.com/embed/3A3_EomKDgs?wmode=transparent"></iframe>
      </div>
      <h2 class="section-title">Module: Tweaks</h2>
      <p class="section-text">The tweak module is based around improving the quality of life and gameplay of Minecraft through a variety of small changes.</p>
      <p class="section-text">A sample of a few tweaks:</p>
      <ul class="section-text">
        <li>Mobs always dropping equipment</li>
        <li>Mobs dropping heads</li>
        <li>Animals Fleeing</li>
        <li>Renewable Endstone</li>
        <li>Creeper Sheering</li>
        <li>...And More!</li>
      </ul>
      <h2 class="section-title">Module: Hardcore</h2>
      <p class="section-text">The hardcore module is focused on rebalancing the base Minecraft experience to be more challenging and thought-provoking. This is through expanding gameplay decisions instead of the&nbsp;microcrafting&nbsp;that you would find in other mods. Many of these features encourage automation and utilizing vanilla tools, such as water streams, to progress.&nbsp;<br /><br />A sample of a few hardcore changes:</p>
      <ul class="section-text">
        <li>HCBuckets - Buckets can not place down source blocks</li>
        <li>HCHunger - Replaces saturation with fat that will cause negative effects if too much is gained</li>
        <li>HCMovement - Different materials slow or speed up the player's movement</li>
        <li>HCBeacons - Override the beacon system to encourage multiple beacons</li>
        <li>HCSpawn - The player will spawn within a couple thousand blocks of world spawn</li>
        <li><a href="http://docs.betterwithmods.com/en_us/hardcore/">...And More!</a></li>
      </ul>
    </div>
    <page-footer></page-footer>
  </div>
</template>

<style>
.info-section {
  margin-top: 5%;
  margin-left: 1%;
  margin-right: 1%;
  color: black;
  font-size: 1.5vw;
  text-align: left;
}

.section-title {
  text-align: center;
  text-decoration: underline;
  font-size: 3vh;
}

.section-text {
  font-size: 2.5vh;
}

#btw-disclaimer {
  text-align: center;
  font-weight: bold;
  font-size: 2vh;
}

#videos {
  text-align: center;
}

.youtube {
  position: relative;
  width: 30vw;
  height: 35vh;
}
</style>
